As many patches for the Pre3 are not yet on Preware I'm left to install them via Internalz, except every single one of them gives an error, how come?